Bug 44152 - Multiple alphabetical-index-mark entries upon changing Concordance file
Summary: Multiple alphabetical-index-mark entries upon changing Concordance file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Concordance-File
  Show dependency treegraph
 
Reported: 2011-12-26 06:32 UTC by fox.talk
Modified: 2021-03-17 11:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
File has the issue described above. (9.17 KB, application/vnd.oasis.opendocument.text)
2011-12-26 06:32 UTC, fox.talk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fox.talk 2011-12-26 06:32:36 UTC
Created attachment 54824 [details]
File has the issue described above.

If one adds an alphabetical index to a ODT document with concordance file and modifies the concordance file entries several times, then all keyword occurences in the text will get duplicate "alphabetical-index-mark" entries like that:
<text:alphabetical-index-auto-mark-file
				xlink:href="../keywords.sdi" />
			<text:p text:style-name="Standard">
				<text:alphabetical-index-mark
					text:string-value="Test1" />
				<text:alphabetical-index-mark
					text:string-value="Test1" />
				<text:alphabetical-index-mark
					text:string-value="Test1" />
				Name1
			</text:p>


This behaviour may easily blow up the document and makes it hard to delete obsolete index entries.
Comment 1 Christian Lohmaier 2011-12-28 07:38:19 UTC
cannot reproduce with 3.5.0beta2 - please give a more detailed description on how to trigger the bug.

I did:
* create new document
* insert blindtext/dummytext
* Insert index, check concordance checkmark, create a new file
* add "Dilemma" as index entry (german blindtext contains that word) and closed the dialog, index is entered, the Dilemma in the text is flagged accordingly.

* save the file and verify that the index-mark is written to the document only once.

* Use edit index from the context-menu on the index, choose "Edit file" from the concordance-file button, change the ignore case toggle of the dilemma entry, close both dialogs.
* save the file and verify the xml → still only one index-mark.

* use edit index from the context-menu, choose edit file from the concordance-file button, add another word "Dunkelheit", apply & close the dialogs
* other word is added to the index and flagged in the document
* save and verify the xml → still only one entry on dilemma, only one entry on Dunkelheit.

Thus → needmoreinfo
(please also report back when you cannot reproduce yourself anymore in the current version)
Comment 2 fox.talk 2011-12-28 10:44:03 UTC
The description provided in last comment exactly describes the steps for triggering the bug.
but there are two additions:
* add "dilemma" as index entry and "Dilemma" as alternative entry.
* after saving and checking the XML you should close and re-open the ODT document before applying modifications to concordance file (It seems that the problem does not occur otherwise).

I can confirm that the problem still exists in LibreOffice 3.5 Beta 2.
Comment 3 Joel Madero 2014-11-06 20:31:31 UTC Comment hidden (obsolete)
Comment 4 Robinson Tryon (qubit) 2015-01-08 08:44:07 UTC
TESTING on Ubuntu 14.04 + LO Version: 4.5.0.0.alpha0+
Build ID: 5c60dab390d66a4d5abeaf548efecf3913b90839
TinderBox: Linux-rpm_deb-x86_64@46-TDF, 
Branch:master, 
Time: 2014-12-31_00:20:30
Locale: en_US

(In reply to Christian Lohmaier from comment #1)
> cannot reproduce with 3.5.0beta2 - please give a more detailed description
> on how to trigger the bug.
> 
> I did:
> * create new document
> * insert blindtext/dummytext

(using 'dt', then <F3>)

> * Insert index, check concordance checkmark, create a new file

I'm not sure where to find the 'concordance checkmark'...

pfux: Are you still seeing this problem with modern builds of LibreOffice?

Status -> NEEDINFO

(Please change status to UNCONFIRMED after you report back)
Comment 5 fox.talk 2015-02-08 10:53:18 UTC
The issue is still there in LibreOffice 4.3.5.2 on MacOS X 10.10.2.

It can be easily be reproduced following the description in previous comments.
Fragment of the content.xml

 <text:p text:style-name="P1">
                <text:alphabetical-index-mark text:string-value="Test 1" />
                <text:alphabetical-index-mark text:string-value="Test 1" />
                <text:alphabetical-index-mark text:string-value="Test 1" />
                <text:alphabetical-index-mark text:string-value="Test 1" />Test1</text:p>
Comment 6 Matthew Francis 2015-03-23 09:57:37 UTC
Took a while to work this one out. Reproduced with the following exact steps:

With language set to English,

1. New Writer document
2. Type "dt<F3>"
3. Insert - Indexes and Tables - Indexes and Tables...
4. Set Type: Alphabetical Index, Concordance file: Yes
5. Still within the dialog, beneath the checkbox for "Concordance file", select File - New
6. Close the dialogs and save the document (select .fodt to make it easier later)
7. Close the document
8. Reload the document
9. Context menu - "Edit Index/Table" on the index that was inserted
10. Within the dialog, beneath the checkbox for "Concordance file", select File - Edit
11. Add an entry with Search term: greenbacks, Alternative term: Greenbacks, Match case: Yes
13. Save the document
14. Close the document
15. Reload the document
16. Context menu - "Edit Index/Table" on the index that was inserted
17. Within the dialog, beneath the checkbox for "Concordance file", select File - Edit
18. Add an entry with Search term: crook, Alternative term: Crook, Match case: Yes
19. Save the document
20. Examine the document's XML -> the <text:alphabetical-index-mark text:string-value="Greenbacks"/> is duplicated

Setting to NEW
Comment 7 tommy27 2016-04-16 07:24:36 UTC Comment hidden (obsolete)
Comment 8 fox.talk 2016-04-21 17:08:37 UTC
Re-tested with 5.0.5.2 under OS X 10.11.4:
Bug is still present, same issue as described in previous comments.
Comment 9 QA Administrators 2017-05-22 13:25:42 UTC Comment hidden (obsolete)
Comment 10 Timur 2018-07-18 11:19:25 UTC
Looks there in 6.2+.
Comment 11 QA Administrators 2019-10-15 02:29:13 UTC Comment hidden (obsolete)
Comment 12 BogdanB 2020-08-31 20:31:32 UTC
I can't confirm any duplicate expression in 7.1.

Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 13 QA Administrators 2021-02-28 04:01:54 UTC Comment hidden (obsolete)
Comment 14 fox.talk 2021-03-13 14:26:26 UTC
10 years later - still not fixed.
Comment 15 Timur 2021-03-17 11:26:22 UTC
(In reply to fox.talk from comment #14)
> 10 years later - still not fixed.

Good that you are following. But please add exact version you tested with. 
As for 10 years, it takes a volunteer, so a bug can be fixed in few days or not in 20 years.